﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace Complex_Binding
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }
    }

    public class StadiumDetails
    {
        private SpanDetail m_spnDetail;

        public SpanDetail SpnDetail
        {
            get { return m_spnDetail; }
            set { m_spnDetail = value; }
        }

        private int m_seatNUm;

        public int seatNum
        {
            get { return m_seatNUm; }
            set { m_seatNUm = value; }
        }
    }

    public class SpanDetail
    {
        private TimeSpan m_span;

        public TimeSpan Span
        {
            get { return m_span; }
            set { m_span = value; }
        }
    }

    public class ViewModel
    {
        ObservableCollection<StadiumDetails> m_data;
        public ViewModel()
        {
            m_data = new ObservableCollection<StadiumDetails>();

            SpanDetail cupdetail1 = new SpanDetail();
            cupdetail1.Span = TimeSpan.FromSeconds(1);

            SpanDetail cupdetail2 = new SpanDetail();
            cupdetail2.Span = TimeSpan.FromSeconds(4);

            SpanDetail cupdetail3 = new SpanDetail();
            cupdetail3.Span = TimeSpan.FromSeconds(3);

            SpanDetail cupdetail4 = new SpanDetail();
            cupdetail4.Span = TimeSpan.FromSeconds(4);

            SpanDetail cupdetail5 = new SpanDetail();
            cupdetail5.Span = TimeSpan.FromSeconds(5);

            m_data.Add(new StadiumDetails() {SpnDetail = cupdetail1, seatNum = 1});
            m_data.Add(new StadiumDetails() {SpnDetail = cupdetail2, seatNum = 2});
            m_data.Add(new StadiumDetails() {SpnDetail = cupdetail3, seatNum = 3});
            m_data.Add(new StadiumDetails() {SpnDetail = cupdetail4, seatNum = 4});
            m_data.Add(new StadiumDetails() {SpnDetail = cupdetail5, seatNum = 5});
        }
        public ObservableCollection<StadiumDetails> Data { get { return m_data; } set { m_data = value; } }
    }
}
